body{
    direction: ltr;
    overflow-y: auto;
}
main{
    width: 100%;
    height: 100%;
}
section[data-type="login"]{
    display: grid;
    place-items: center;
    width: 100%;
    padding-block: 1rem;
    min-height: 100%;
}

.container{
    display: grid;
    grid-auto-flow: row;
    grid-auto-rows: 1fr;
    grid-auto-columns: 1fr;
    background-color: var(--clr-neutral-800);
    border-radius: 1rem;
    overflow: hidden;
    box-shadow: 0 0 12px 3px rgba(0, 0, 0, 0.25);
    transition: all 0.2s ease-out;
    /* box-shadow: 0 0 12px 3px var(--clr-accentShadow-300); */
}

.container{
	--max-width:47rem;
	--padding:1rem;

	width: min(var(--max-width),100%  - 2 * var(--padding));
}

.container > div{
    display: flex;
    flex-direction: column;
    text-align: center;
    padding: 1rem 5%;
    height: 46vh;
    
    min-height: 16.5rem;
}

.container > div[data-type="off"]{
    background: linear-gradient(145deg, #6A4CFF, #008B71);
}

.tabOff{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    gap: 1rem;
}

.errorMessage{
    display: none;
    color: #df3529;
    font-size: var(--fs-400);
    font-weight: var(--fw-light);
    margin-bottom: 0.5rem;
    max-width: 18rem;
    margin-inline: auto;
}

.HeaderMessage{
    display: block;
    color: var(--clr-neutral-200);
    font-size: var(--fs-400);
    font-weight: var(--fw-light);
    margin-bottom: 0.5rem;
    max-width: 18rem;
    margin-inline: auto;
}

.activeTab{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    position: relative;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.buttonHolder{
    margin-top: 1rem;
    display: flex;
    width: 100%;
    justify-content: space-between;
}

/* Login section */

#FormsHolder{
    display: flex;
    flex-grow: 1;
    position: relative;
    align-items: center;
    justify-content: center;
    height: fill-available;
    
    /* width: 100%; */  
}


/* #loginForm{display: none;} */
#SendCodeForm{display: none;}
#CheckCodeForm{display: none;}
#ResetPasswordForm{display: none;}

.InputHolder{
    display: flex;
    gap: 1rem;
    width: calc(100%);
    
    padding-block: 0.5rem;
    border-bottom: 2px solid var(--clr-primary-400);
    transition: all 0.2s ease-out;
}

.InputHolder > input{
    color: white;
    background-color: transparent !important;
    border: none;
    width: inherit;
    width: fill-available;
}

input:-webkit-autofill,
input:-webkit-autofill:focus {
    transition: background-color 600000s 0s, color 600000s 0s;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

#Forgot{
    transition: color 0.2s all;
    cursor: pointer;
}

#timeleft{
    cursor: pointer;
    text-align: left;
    margin-inline: 0.5rem auto;
    margin-top: -0.8rem;
}

#timeleft + .buttonHolder{
    margin-top: 0;
}

#Forgot:hover{ color: var(--clr-neutral-100); }

/* Forgot password - 1 */

@media (min-width: 45em){ 
	.container{
        grid-auto-flow: column;
    }

    .container  > div{
        padding-block: 7rem;
        height: 80vh;
    }
}
